EVOLVOTRON_RENDER(1)

NAME
evolvotron_render - Render an evolvotron function tree to an image.

SYNOPSIS
evolvotron_render [-f <frames> ] [-j] [-m <multisample> ] [-s <width> <height> ] [-spheremap] [-v] <imagefile.[png|ppm]> < <file.xml>

DESCRIPTION
evolvotron_render reads an evolvotron image function from it's standard input and renders it to the file specified (suffix determines type, defaults to ppm if not recognised). Image functions can be obtained by saving them from the evolvotron applicaiton, or using evolvotron_mutate. See the evolvotron manual (accessible from the evolvotron application's Help menu) for more information on image functions.

COMMAND-LINE OPTIONS

-j  Enable sample jittering.

-m  <multisample> Enables antialiased rendering. This specifies the size of the sub-pixel sampling grid, so 1 provides the default one-sample-per-pixel behaviour, while 4 provides 16 samples per pixel on a 4x4 grid. Unlike the main evolvotron application, there is no upper limit, but of course rendering time increases as the square of this number.

-s  <width> <height> Specify resolution of output image. Defaults to 512 512.

-v  Verbose mode; useful for monitoring progress of large renders.

-f  <frames> Generates multi-frame animations. .fnnnnnn is inserted into the specified filename (before the filetype suffix, if any). You can use this on functions which weren't evolved in animation mode, but there's no guarantee they have any interesting time/z variation.

-spheremap
    Create a spheremap instead of a planar texture.

EXAMPLES
evolvotron_mutate -g > function.xml evolvotron_render -v -s 2048 2048 function.ppm < function.xml

AUTHOR
evolvotron_render was written by Tim Day (www.timday.com) and is released under the conditions of the GNU General Public License. See the file LICENSE supplied with the source code for details.

SEE ALSO
evolvotron(1), evolvotron_mutate(1)